C ***   ***   ***   *** MAIN PROGRAM  ***   ***   ***   ***   ***   *** 
C    RETAIL MARKET ANALYSIS SYSTEM/CAMBRIDGE SYSTEMATICS (CSI)
C THIS PROGRAM COMPUTES MARKET SHARES M(I,IL) FOR SHOPPING LOCATIONS
C BY INCOME GROUP, TRAVEL MODE AND RESIDENTIAL LOCATION
C ***   ***   ***   ***   ***   ***   ***   ***   ***   ***   ***   *** 
C  MODEL DOCUMENTED IN JOURNAL OF RETAILING, VOL-60,N-1,BY GLEN WEISSBROD
C  ROBERT PARCELLS AND CLIFFORD MARSHALL
C  CONVERTED TO IBM PC AND MADE MENU-DRIVEN BY GLEN WEISSBROD AND ALLEN
C  MARSHALL (CSI),1984, AND WILLIAM WHEATON (MIT) 1985
C  MODEL REMAINS COPYRIGHTED BY GLEN WEISSBROD, WITH PERMISSION TO USE 
C  AND UPDATE BY CSI AND MIT
$DEBUG
$LARGE
$include:'sscom1'                                                   
$include:'sscom2'                                                   
$include:'sscom3'                                                   
$include:'sscom4'                                                   
      character fname*8,fnamex*12
1     format(1x,a)                                                      
C***********************************************************************
C                                                                       
C	OPEN PROPER FILES FOR INPUT AND OUTPUT                                
C                                                                       
      open(unit=9,file='parm.ssi')                                      
      open(unit=10,file='inc.ssi')
      open(unit=13,file='tran.ssi')
      open(unit=11,file='report1.dat',status='new')
        write(*,1) 'MIT-CSI Shopping Center Model'
        write(*,1) 'Copyright 1986, Glenn Weisbrod'
        write(*,1) 'Output will be kept in file: Report1.dat'
        write(*,1) 'This version of the model has only the auto mode'
C                                                                       
C***********************************************************************
      read(9,112) (title2(i),i=1,5)
      READ(9,10) ((F(I,J),I=1,3),J=1,5)
   10 FORMAT(4x,3F6.3)                                                     
C     F = PROPORTION WITH 0,1,2+ CARS FOR EACH OF 5 INC CLASSES
C        INITIALIZE PARAMETERS                                          
C     IMC= FLAG FOR MODEL EXEC BEFORE VIEWING
C     NINC = # INC CLASSES
C     NAUTO= # OF AUTO OWNERSHIP CATEGORIES
C     MLOC = # OF CENTER ATTRACTION COEFFICIENTS
C     MLOS = # OF ACCESS COEFFICIENTS
C     NTIMES=MAX ROUND TRIP TRAVEL TIME
C     NMARK= # TRAVEL MODE GROUPS (2=TRAN,3=CAR,4=BOTH)
      imc=0                                                             
      NINC= 5                                                           
      NAUTO= 3                                                          
      MLOC= 7                                                           
      MLOS= 3                                                           
      NTIMES= 92                                                        
      NMARK= 1                                                          
C                                                                       
C        EXPENDITURE FUNCTION  ( $1000'S ANNUAL SALES, 1985 $)
C                                                                       
      EXPFUN(1)= .06000
      EXPFUN(2)= .06000
      EXPFUN(3)= .06000
      EXPFUN(4)= .06000
      EXPFUN(5)= .06000
C                                                                       
C                                                                       
C INPUT DATA FROM 'VARY' (COEF, AND CENTER DATA)
C INPUT DATA FROM FIXED1 (POPULATION DATA)
C     NLOC = # OF CENTER LOCATIONS
C     XLOC = # OF CENTER CHARACTERISTICS
C     BETA1= ACCESS LEVEL OF SERVICE COEFFICIENTS
C     BETA2= CENTER ATTRACTION COEFFICIENTS
C     NTRACT,NZ= # TRACTS, # ZONES (NOW IDENTICAL)
C     ITR  = # OF PERSONS IN TRACT(J) AND INC(I)
      READ(9,111) (BETA1(J),J=1,MLOS)
      READ(9,111) (ZETA1(J),J=1,MLOS)
      READ(9,113) (BETA2(J),J=1,MLOC)
      MLOC = 7
      READ(9,113) (ZETA2(J),J=1,MLOC)
      MLOC = 7
      READ(9,109) NLOC                                                  
      DO 90 IL=1,NLOC                                                   
      READ(9,110) NAME(IL), (XLOC(IL,J),J=1,9)
90    write(*,'(1x,a10,3x,9f6.0)') name(il), (xloc(il,j),j=1,9)
      READ(10,112) TITLE1
      READ(10,109) NTRACT
      do 44 j=1,ntract
   44 read(10,114) itr(j),(yinc(j,i),i=1,5)
C  SET AVERAGE INCOME OF CELLS
      XINC(1)=9
      XINC(2)=18
      XINC(3)=27
      XINC(4)=36
      XINC(5)=45
  112 FORMAT(A80)                                                       
  109 FORMAT(I3)
  110 FORMAT(4x,A10,9F5.0)
  111 FORMAT(4x,7F10.6)                                                    
  113 FORMAT(4X,7F9.6)
  114 FORMAT(4x,I5,5F6.0)                                                 
c                                                                       
c  menu driver                                                          
c                                                                       
1000  write(*,1) 'Main Menu:CSI-MIT Shopping Center Model'
      write(*,1) '(1) Modify input data'                            
      write(*,1) '(2) Execute model'                                    
      write(*,1) '(3) Observe results'                                  
      write(*,1) '(4) Save Results'
      write(*,1) '(0) Exit'
      write(*,1) 'Enter option:'                                        
      call iisafe(iopt,0,4)                                             
      j=iopt+1                                                          
      go to (2001,100,200,300,2000) j                                        
100   call spspec                                                       
      go to 1000                                                        
200   call smodc                                                        
      imc=imc+1                                                         
      rewind 13
      go to 1000                                                        
300   if(imc.eq.0) then                                                 
        write(*,1) 'First execute model--option 2.'                     
        go to 1000                                                      
      end if                                                            
      call siout                                                        
  305 go to 1000                                                        
c                                                                       
2000  continue
      call srpout
      go to 1000
 2001 continue
      close(11)
      close(9)
      close(13)
      close(10)
      END                                                               
